Bug 21320 - Holds to pull should honor syspref AllowHoldsOnDamagedItems
Summary: Holds to pull should honor syspref AllowHoldsOnDamagedItems
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Dobrica Pavlinusic
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-06 11:30 UTC by Dobrica Pavlinusic
Modified: 2018-11-09 07:22 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21320: Holds to pull should honor syspref AllowHoldsOnDamagedItems (1.45 KB, patch)
2018-09-06 11:37 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 21320: Holds to pull should honor syspref AllowHoldsOnDamagedItems (1.45 KB, patch)
2018-09-06 12:00 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 21320: Holds to pull should honor syspref AllowHoldsOnDamagedItems (1.61 KB, patch)
2018-10-09 10:05 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2018-09-06 11:30:19 UTC

    
Comment 1 Dobrica Pavlinusic 2018-09-06 11:37:25 UTC
Created attachment 78471 [details] [review]
Bug 21320: Holds to pull should honor syspref AllowHoldsOnDamagedItems

Test plan:

1. Set syspref AllowHoldsOnDamagedItems to Allow
2. Create a hold on record with item which is damaged
3. Verify that it doesn't appear in report
4. Apply patch and verify that it's now visible
Comment 2 Dobrica Pavlinusic 2018-09-06 11:55:47 UTC
Sorry bug fix has a bug, please ignore it for now :-)
Comment 3 Dobrica Pavlinusic 2018-09-06 12:00:50 UTC
Created attachment 78472 [details] [review]
Bug 21320: Holds to pull should honor syspref AllowHoldsOnDamagedItems

Test plan:

1. Set syspref AllowHoldsOnDamagedItems to Allow
2. Create a hold on record with item which is damaged
3. Verify that it doesn't appear in report
4. Apply patch and verify that it's now visible
Comment 4 Caroline Cyr La Rose 2018-09-16 18:44:51 UTC
Patch works as advertized :)
Comment 5 Martin Renvoize 2018-10-09 10:05:14 UTC
Created attachment 80255 [details] [review]
Bug 21320: Holds to pull should honor syspref AllowHoldsOnDamagedItems

Test plan:

1. Set syspref AllowHoldsOnDamagedItems to Allow
2. Create a hold on record with item which is damaged
3. Verify that it doesn't appear in report
4. Apply patch and verify that it's now visible

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2018-10-09 10:06:09 UTC
Trivial patch.. works as advertised and causes no regressions.

I took the liberty of adding your SO line for you Caroline Cyr La Rose as it appeared to be missing.

Passed QA
Comment 7 Nick Clemens 2018-10-15 17:04:14 UTC
Awesome work all!

Pushed to master for 18.11
Comment 8 Martin Renvoize 2018-10-16 13:05:48 UTC
Pushed to 18.05.x for 18.05.05
Comment 9 Fridolin SOMERS 2018-11-09 07:22:08 UTC
Pushed to 17.11.x for 17.11.12